{
  "minecraft:recipes/tools/fishing_rod": {
    "criteria": {
      "has_string": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_sword": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2019-03-25 04:03:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/writable_book": {
    "criteria": {
      "has_book": "2019-03-29 01:00:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/wheat": {
    "criteria": {
      "has_at_least_9_wheat": "2019-03-25 02:58:21 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/nether_brick_slab": {
    "criteria": {
      "has_nether_brick": "2019-03-25 05:58:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_pickaxe": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:nether/root": {
    "criteria": {
      "entered_nether": "2019-03-25 02:56:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/pumpkin_seeds": {
    "criteria": {
      "has_pumpkin": "2019-03-25 05:58:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_helmet": {
    "criteria": {
      "has_leather": "2019-03-29 01:27:58 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone": {
    "criteria": {
      "has_at_least_9_redstone": "2019-03-25 05:36:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_hoe": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/bread": {
    "criteria": {
      "has_wheat": "2019-03-25 02:58:12 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ladder": {
    "criteria": {
      "has_stick": "2019-03-25 03:03:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2019-03-25 03:02:37 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_sword": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:story/shiny_gear": {
    "criteria": {
      "diamond_leggings": "2019-03-29 01:19:39 +0400",
      "diamond_helmet": "2019-03-29 01:19:39 +0400",
      "diamond_chestplate": "2019-03-29 01:19:39 +0400",
      "diamond_boots": "2019-03-29 01:19:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_shovel": {
    "criteria": {
      "has_the_recipe": "2019-03-25 03:02:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/torch": {
    "criteria": {
      "has_stone_pickaxe": "2019-03-25 03:04:09 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/shears": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/sign": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_obsidian": "2019-03-25 05:37:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dispenser": {
    "criteria": {
      "has_bow": "2019-03-25 03:54:55 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cake": {
    "criteria": {
      "has_egg": "2019-03-25 03:00:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_leggings": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/balanced_diet": {
    "criteria": {
      "cooked_porkchop": "2019-03-25 03:49:06 +0400",
      "chicken": "2019-03-29 01:32:03 +0400",
      "cooked_beef": "2019-03-25 04:40:18 +0400",
      "baked_potato": "2019-03-25 06:16:49 +0400",
      "beef": "2019-03-29 01:29:48 +0400",
      "potato": "2019-03-25 03:01:33 +0400",
      "rotten_flesh": "2019-03-29 01:32:10 +0400",
      "cooked_chicken": "2019-03-25 03:58:13 +0400",
      "carrot": "2019-03-29 01:37:20 +0400"
    },
    "done": false
  },
  "minecraft:recipes/tools/wooden_hoe": {
    "criteria": {
      "has_stick": "2019-03-25 03:03:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/shield": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bucket": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/hopper": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2019-03-25 05:42:19 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/note_block": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/hay_block": {
    "criteria": {
      "has_at_least_9_wheat": "2019-03-25 02:58:21 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glass": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_leggings": {
    "criteria": {
      "has_leather": "2019-03-29 01:27:58 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_helmet": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_shovel": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/bow": {
    "criteria": {
      "has_string": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_fence_gate": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tnt": {
    "criteria": {
      "has_gunpowder": "2019-03-25 04:35:35 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/iron_bars": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar": {
    "criteria": {
      "has_reeds": "2019-03-25 06:13:41 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gold_block": {
    "criteria": {
      "has_at_least_9_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:story/obtain_armor": {
    "criteria": {
      "iron_chestplate": "2019-03-25 04:06:27 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/minecart": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2019-03-25 05:37:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/charcoal": {
    "criteria": {
      "has_log": "2019-03-25 03:02:02 +0400"
    },
    "done": true
  },
  "minecraft:adventure/sleep_in_bed": {
    "criteria": {
      "slept_in_bed": "2019-03-25 03:16:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_pickaxe": {
    "criteria": {
      "has_stick": "2019-03-25 03:03:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_hoe": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/root": {
    "criteria": {
      "consumed_item": "2019-03-25 03:01:33 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_torch": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/golden_apple": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_stairs": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/enchanting_table": {
    "criteria": {
      "has_obsidian": "2019-03-25 05:37:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_ink_bonemeal": {
    "criteria": {
      "has_black_dye": "2019-03-25 04:13:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_shovel": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_trapdoor": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_something": "2019-03-25 03:05:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/item_frame": {
    "criteria": {
      "has_leather": "2019-03-29 01:27:58 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_wool_from_string": {
    "criteria": {
      "has_string": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/clock": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/spectral_arrow": {
    "criteria": {
      "has_glowstone_dust": "2019-03-25 04:08:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:adventure/kill_all_mobs": {
    "criteria": {
      "minecraft:skeleton": "2019-03-25 05:36:36 +0400",
      "minecraft:phantom": "2019-03-25 06:10:30 +0400",
      "minecraft:spider": "2019-03-29 01:07:32 +0400",
      "minecraft:zombie": "2019-03-25 04:07:45 +0400",
      "minecraft:drowned": "2019-03-25 04:10:55 +0400",
      "minecraft:creeper": "2019-03-29 01:07:50 +0400"
    },
    "done": false
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:story/enter_the_nether": {
    "criteria": {
      "entered_nether": "2019-03-25 02:56:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_wood": {
    "criteria": {
      "has_log": "2019-03-25 03:55:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_block": {
    "criteria": {
      "has_at_least_9_redstone": "2019-03-25 05:36:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/baked_potato": {
    "criteria": {
      "has_potato": "2019-03-25 02:57:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_smelting": {
    "criteria": {
      "has_iron_pickaxe": "2019-03-25 03:17:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/lapis_lazuli": {
    "criteria": {
      "has_at_least_9_lapis": "2019-03-25 05:42:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:story/upgrade_tools": {
    "criteria": {
      "stone_pickaxe": "2019-03-25 03:04:09 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_fence": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/snow": {
    "criteria": {
      "has_snowball": "2019-03-29 01:24:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_gold_block": {
    "criteria": {
      "has_at_least_9_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_porkchop": {
    "criteria": {
      "has_the_recipe": "2019-03-25 03:16:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_slab": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_boots": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_axe": {
    "criteria": {
      "has_the_recipe": "2019-03-25 03:02:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye": {
    "criteria": {
      "has_lapis": "2019-03-25 05:42:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2019-03-25 06:13:41 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_ink_bonemeal": {
    "criteria": {
      "has_lapis": "2019-03-25 05:42:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_chestplate": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_lapis_bonemeal": {
    "criteria": {
      "has_lapis": "2019-03-25 05:42:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_red_pink": {
    "criteria": {
      "has_lapis": "2019-03-25 05:42:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/glass_bottle": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/iron_block": {
    "criteria": {
      "has_at_least_9_iron_ingot": "2019-03-25 04:04:03 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/nether_brick": {
    "criteria": {
      "has_netherrack": "2019-03-25 03:08:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_feather": "2019-03-25 03:05:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2019-03-25 04:03:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coal_block": {
    "criteria": {
      "has_at_least_9_coal": "2019-03-25 03:58:27 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot": {
    "criteria": {
      "has_the_recipe": "2019-03-25 04:33:15 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/light_weighted_pressure_plate": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/wooden_sword": {
    "criteria": {
      "has_stick": "2019-03-25 03:03:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_log": "2019-03-25 03:02:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bookshelf": {
    "criteria": {
      "has_book": "2019-03-29 01:00:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_axe": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_axe": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glowstone": {
    "criteria": {
      "has_glowstone_dust": "2019-03-25 04:08:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_helmet": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tripwire_hook": {
    "criteria": {
      "has_string": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_pressure_plate": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_boots": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal": {
    "criteria": {
      "has_bone": "2019-03-25 05:36:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_planks": {
    "criteria": {
      "has_log": "2019-03-25 03:55:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:story/iron_tools": {
    "criteria": {
      "iron_pickaxe": "2019-03-25 03:17:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_wood": {
    "criteria": {
      "has_log": "2019-03-25 03:02:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon": {
    "criteria": {
      "has_salmon": "2019-03-25 04:13:13 +0400"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2019-03-25 03:02:09 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2019-03-25 04:03:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_chestplate": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dropper": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/coal": {
    "criteria": {
      "has_at_least_9_coal": "2019-03-25 03:58:27 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_trapdoor": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:story/form_obsidian": {
    "criteria": {
      "obsidian": "2019-03-25 05:37:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_sand": "2019-03-25 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_chestplate": {
    "criteria": {
      "has_leather": "2019-03-29 01:27:58 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/compass": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/repeater": {
    "criteria": {
      "has_redstone_torch": "2019-03-25 06:22:01 +0400"
    },
    "done": true
  },
  "minecraft:adventure/kill_a_mob": {
    "criteria": {
      "minecraft:zombie": "2019-03-25 04:07:45 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_button": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_pickaxe": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot": {
    "criteria": {
      "has_the_recipe": "2019-03-25 04:04:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_beef": {
    "criteria": {
      "has_beef": "2019-03-25 04:12:03 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gray_dye": {
    "criteria": {
      "has_black_dye": "2019-03-25 04:13:25 +0400"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:forest": "2019-03-25 03:00:57 +0400",
      "minecraft:mountains": "2019-03-29 01:06:31 +0400",
      "minecraft:taiga": "2019-03-25 05:43:00 +0400",
      "minecraft:birch_forest": "2019-03-29 01:06:32 +0400",
      "minecraft:beach": "2019-03-25 06:20:48 +0400",
      "minecraft:river": "2019-03-25 03:18:32 +0400",
      "minecraft:wooded_mountains": "2019-03-29 01:10:40 +0400",
      "minecraft:wooded_hills": "2019-03-25 02:57:43 +0400",
      "minecraft:stone_shore": "2019-03-29 01:05:38 +0400",
      "minecraft:plains": "2019-03-25 02:56:18 +0400"
    },
    "done": false
  },
  "minecraft:recipes/redstone/iron_door": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/nether_brick_fence": {
    "criteria": {
      "has_nether_brick": "2019-03-25 05:58:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/snow_block": {
    "criteria": {
      "has_snowball": "2019-03-29 01:24:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_door": {
    "criteria": {
      "has_planks": "2019-03-25 03:02:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2019-03-25 04:03:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/purple_dye": {
    "criteria": {
      "has_lapis": "2019-03-25 05:42:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_boots": {
    "criteria": {
      "has_leather": "2019-03-29 01:27:58 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:adventure/shoot_arrow": {
    "criteria": {
      "shot_arrow": "2019-03-25 05:54:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_iron_block": {
    "criteria": {
      "has_at_least_9_iron_ingot": "2019-03-25 04:04:03 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/heavy_weighted_pressure_plate": {
    "criteria": {
      "has_iron_ingot": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diamond_block": {
    "criteria": {
      "has_at_least_9_diamond": "2019-03-29 01:19:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2019-03-25 02:57:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/pumpkin_pie": {
    "criteria": {
      "has_pumpkin": "2019-03-25 05:58:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/carrot_on_a_stick": {
    "criteria": {
      "has_carrot": "2019-03-25 06:12:11 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lapis_block": {
    "criteria": {
      "has_at_least_9_lapis": "2019-03-25 05:42:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/nether_brick_stairs": {
    "criteria": {
      "has_nether_brick": "2019-03-25 05:58:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_leggings": {
    "criteria": {
      "has_gold_ingot": "2019-03-25 04:33:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/piston": {
    "criteria": {
      "has_redstone": "2019-03-25 05:36:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/diamond": {
    "criteria": {
      "has_diamond_block": "2019-03-25 06:21:34 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2019-03-25 04:31:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_chicken": {
    "criteria": {
      "has_chicken": "2019-03-25 03:05:23 +0400"
    },
    "done": true
  },
  "minecraft:story/smelt_iron": {
    "criteria": {
      "iron": "2019-03-25 03:17:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2019-03-25 03:03:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_mutton": {
    "criteria": {
      "has_mutton": "2019-03-25 06:12:11 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_stained_glass": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2019-03-25 04:00:36 +0400"
    },
    "done": true
  }
}